%define upstream_name    Lingua-Stem-Ru
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Porter's stemming algorithm for Russian
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module applies the Porter Stemming Algorithm to its parameters,
returning the stemmed words.

The algorithm is implemented exactly as described in:

    http://snowball.tartarus.org/russian/stemmer.html

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-2.mga6
+ Revision: 1029157
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 1002077
- update to 0.04

* Mon Feb 01 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 930008
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 744269
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.10.0-5.mga5
+ Revision: 733114
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685219
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 512612
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 369061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 34832
- imported package perl-Lingua-Stem-Ru


* Sun Jan 23 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
